﻿#target photoshop

//単位をPOINTS指定でドキュメントを新規作成する
preferences.rulerUnits = Units.POINTS;
var cvsX = 320, cvsY=240, Resl=72.0;
docObj = app.documents.add(cvsX, cvsY, Resl,"テキスト中央表示");

//テキスト描画するレイヤーを作成
layObj = docObj.artLayers.add();
layObj.kind = LayerKind.TEXT;
layObj.name = "テキストレイヤー";

//カラー構造体に描画色をセット
var textColor = new SolidColor;
textColor.rgb.red = 255;
textColor.rgb.green = 0;
textColor.rgb.blue = 0;

//フォント設定
layObj.textItem.font = "MS-UIGothic";
layObj.textItem.size = 36;
layObj.textItem.color = textColor;

//描画位置設定（レイヤー中央）
layObj.textItem.position = [cvsX/2, cvsY/2+layObj.textItem.size/4];
layObj.textItem.justification = Justification.CENTER;

//テキストを描画
layObj.textItem.contents = "星空つづり";
